{#
/**
 * @file
 * Theme override for a menu block.
 *
 * Available variables:
 * - plugin_id: The ID of the block implementation.
 * - label: The configured label of the block if visible.
 * - configuration: A list of the block's configuration values.
 *   - label: The configured label for the block.
 *   - label_display: The display settings for the label.
 *   - provider: The module or other provider that provided this block plugin.
 *   - Block plugin specific settings will also be stored here.
 * - content: The content of this block.
 * - attributes: HTML attributes for the containing element.
 *   - id: A valid HTML ID and guaranteed unique.
 * - title_attributes: HTML attributes for the title element.
 * - content_attributes: HTML attributes for the content element.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 *
 * Headings should be used on navigation menus that consistently appear on
 * multiple pages. When this menu block's label is configured to not be
 * displayed, it is automatically made invisible using the 'visually-hidden' CSS
 * class, which still keeps it visible for screen-readers and assistive
 * technology. Headings allow screen-reader and keyboard only users to navigate
 * to or skip the links.
 * See http://juicystudio.com/article/screen-readers-display-none.php and
 * http://www.w3.org/TR/WCAG-TECHS/H42.html for more information.
 */
#}
{%
  set classes = [
    'block',
    'block-menu',
    'navigation',
    'tw-flex',
    'tw-items-center',
    'menu--' ~ derivative_plugin_id|clean_class,
  ]
%}
{% set heading_id = attributes.id ~ '-menu'|clean_id %}
<nav role="navigation" aria-labelledby="{{ heading_id }}"{{ attributes.addClass(classes)|without('role', 'aria-labelledby') }}>
  {# Label. If not displayed, we still provide it for screen readers. #}
  {% if not configuration.label_display %}
    {% set title_attributes = title_attributes.addClass('visually-hidden') %}
  {% endif %}
  {{ title_prefix }}
  <h2{{ title_attributes.setAttribute('id', heading_id) }}>{{ configuration.label }}</h2>
  {{ title_suffix }}

  <div class="tw-text-gray-400 tw-px-4">
    <svg class="tw-h-6 tw-w-5">
      <g fill="currentColor" fill-rule="evenodd">
        <path d="M9.655 11.429c3.104 0 5.655-2.585 5.655-5.715C15.31 2.585 12.76 0 9.655 0 6.552 0 4 2.585 4 5.714c0 3.13 2.552 5.715 5.655 5.715zm0-9.252a3.522 3.522 0 013.517 3.537 3.522 3.522 0 01-3.517 3.538 3.522 3.522 0 01-3.517-3.538 3.522 3.522 0 013.517-3.537zM9.655 12.993C4.345 12.993 0 17.347 0 22.721v1.089h19.31V22.72c0-5.374-4.344-9.728-9.655-9.728zm-7.38 8.64c.553-3.674 3.656-6.463 7.38-6.463a7.414 7.414 0 017.38 6.463H2.274z"/>
      </g>
    </svg>
  </div>

  {# Menu. #}
  {% block content %}
    {{ content }}
  {% endblock %}
</nav>
